type: object
required:
  - name
  - type
  - acknowledgment
  - port
  - localPort
properties:
  name:
    type: string
    minLength: 1
  type:
    type: string
    enum:
      - TUNNEL
  acknowledgment:
    type: string
    default: "No"
  hostname:
    type: string
    minLength: 1
    maxLength: 40
    optional: true
    pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$
  port:
    type: integer
    minimum: 0
    maximum: 65535
  localPort:
    type: integer
    minimum: 0
    maximum: 65535
  serviceName:
    type: string
    optional: true
    minLength: 1
    maxLength: 40
    pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]*$
